Index: branches/2015/dev_r5803_UKMO_AGRIF_Vert_interp/NEMOGCM/CONFIG/SHARED/namelist_ref
===================================================================
--- branches/2015/dev_r5803_UKMO_AGRIF_Vert_interp/NEMOGCM/CONFIG/SHARED/namelist_ref	(revision 6401)
+++ branches/2015/dev_r5803_UKMO_AGRIF_Vert_interp/NEMOGCM/CONFIG/SHARED/namelist_ref	(revision 6404)
@@ -1183,68 +1165,59 @@
                            !  0 < n : debug section number n
 /
-
-!!======================================================================
-!!            ***  Observation & Assimilation namelists ***
-!!======================================================================
-!!   namobs       observation and model comparison                      ('key_diaobs')
+!-----------------------------------------------------------------------
+&namnc4        !   netcdf4 chunking and compression settings            ("key_netcdf4")
+!-----------------------------------------------------------------------
+   nn_nchunks_i=   4       !  number of chunks in i-dimension
+   nn_nchunks_j=   4       !  number of chunks in j-dimension
+   nn_nchunks_k=   31      !  number of chunks in k-dimension
+                           !  setting nn_nchunks_k = jpk will give a chunk size of 1 in the vertical which
+                           !  is optimal for postprocessing which works exclusively with horizontal slabs
+   ln_nc4zip   = .true.    !  (T) use netcdf4 chunking and compression
+                           !  (F) ignore chunking information and produce netcdf3-compatible files
+/
+
+!!======================================================================
+!!               ***  Observation & Assimilation  ***
+!!======================================================================
+!!   namobs       observation and model comparison
 !!   nam_asminc   assimilation increments                               ('key_asminc')
 !!======================================================================
 !
 !-----------------------------------------------------------------------
-&namobs       !  observation usage switch                               ('key_diaobs')
-!-----------------------------------------------------------------------
-   ln_t3d     = .false.    ! Logical switch for T profile observations
-   ln_s3d     = .false.    ! Logical switch for S profile observations
-   ln_ena     = .false.    ! Logical switch for ENACT insitu data set
-   ln_cor     = .false.    ! Logical switch for Coriolis insitu data set
-   ln_profb   = .false.    ! Logical switch for feedback insitu data set
-   ln_sla     = .false.    ! Logical switch for SLA observations
-   ln_sladt   = .false.    ! Logical switch for AVISO SLA data
-   ln_slafb   = .false.    ! Logical switch for feedback SLA data
-   ln_ssh     = .false.    ! Logical switch for SSH observations
-   ln_sst     = .false.    ! Logical switch for SST observations
-   ln_reysst  = .false.    ! Logical switch for Reynolds observations
-   ln_ghrsst  = .false.    ! Logical switch for GHRSST observations
-   ln_sstfb   = .false.    ! Logical switch for feedback SST data
-   ln_sss     = .false.    ! Logical switch for SSS observations
-   ln_seaice  = .false.    ! Logical switch for Sea Ice observations
-   ln_vel3d   = .false.    ! Logical switch for velocity observations
-   ln_velavcur= .false     ! Logical switch for velocity daily av. cur.
-   ln_velhrcur= .false     ! Logical switch for velocity high freq. cur.
-   ln_velavadcp = .false.  ! Logical switch for velocity daily av. ADCP
-   ln_velhradcp = .false.  ! Logical switch for velocity high freq. ADCP
-   ln_velfb   = .false.    ! Logical switch for feedback velocity data
-   ln_grid_global = .false. ! Global distribtion of observations
-   ln_grid_search_lookup = .false. !  Logical switch for obs grid search w/lookup table
-   grid_search_file = 'grid_search'  !  Grid search lookup file header
+&namobs       !  observation usage switch
+!-----------------------------------------------------------------------
+   ln_diaobs  = .false.             ! Logical switch for the observation operator
+   ln_t3d     = .false.             ! Logical switch for T profile observations
+   ln_s3d     = .false.             ! Logical switch for S profile observations
+   ln_sla     = .false.             ! Logical switch for SLA observations
+   ln_sst     = .false.             ! Logical switch for SST observations
+   ln_sic     = .false.             ! Logical switch for Sea Ice observations
+   ln_vel3d   = .false.             ! Logical switch for velocity observations
+   ln_altbias = .false.             ! Logical switch for altimeter bias correction
+   ln_nea     = .false.             ! Logical switch for rejection of observations near land
+   ln_grid_global = .true.          ! Logical switch for global distribution of observations
+   ln_grid_search_lookup = .false.  ! Logical switch for obs grid search w/lookup table
+   ln_ignmis  = .true.              ! Logical switch for ignoring missing files
+   ln_s_at_t  = .false.             ! Logical switch for computing model S at T obs if not there
+   ln_sstnight = .false.            ! Logical switch for calculating night-time average for SST obs
 ! All of the *files* variables below are arrays. Use namelist_cfg to add more files
-   enactfiles = 'enact.nc' !  ENACT input observation file names (specify full array in namelist_cfg)
-   coriofiles = 'corio.nc' !  Coriolis input observation file name
-   profbfiles = 'profiles_01.nc' ! Profile feedback input observation file name
-   ln_profb_enatim = .false !        Enact feedback input time setting switch
-   slafilesact = 'sla_act.nc' !  Active SLA input observation file names
-   slafilespas = 'sla_pass.nc' ! Passive SLA input observation file names
-   slafbfiles = 'sla_01.nc' ! slafbfiles: Feedback SLA input observation file names
-   sstfiles = 'ghrsst.nc'   ! GHRSST input observation file names
-   sstfbfiles = 'sst_01.nc' ! Feedback SST input observation file names
-   seaicefiles = 'seaice_01.nc' ! Sea Ice input observation file names
-   velavcurfiles = 'velavcurfile.nc'  ! Vel. cur. daily av. input file name
-   velhrcurfiles = 'velhrcurfile.nc'  ! Vel. cur. high freq. input file name
-   velavadcpfiles = 'velavadcpfile.nc' ! Vel. ADCP daily av. input file name
-   velhradcpfiles = 'velhradcpfile.nc' ! Vel. ADCP high freq. input file name
-   velfbfiles = 'velfbfile.nc' ! Vel. feedback input observation file name
-   dobsini = 20000101.000000  !  Initial date in window YYYYMMDD.HHMMSS
-   dobsend = 20010101.000000  !  Final date in window YYYYMMDD.HHMMSS
-   n1dint = 0  !               Type of vertical interpolation method
-   n2dint = 0  !               Type of horizontal interpolation method
-   ln_nea = .false.   !        Rejection of observations near land switch
-   nmsshc     = 0     !        MSSH correction scheme
-   mdtcorr = 1.61     !        MDT  correction
-   mdtcutoff = 65.0   !        MDT cutoff for computed correction
-   ln_altbias = .false.    ! Logical switch for alt bias
-   ln_ignmis  = .true.     ! Logical switch for ignoring missing files
-   endailyavtypes = 820    ! ENACT daily average types - array (use namelist_cfg to set more values)
-   ln_grid_global = .true.
-   ln_grid_search_lookup = .false.
+   cn_profbfiles = 'profiles_01.nc'    ! Profile feedback input observation file names
+   cn_slafbfiles = 'sla_01.nc'         ! SLA feedback input observation file names
+   cn_sstfbfiles = 'sst_01.nc'         ! SST feedback input observation file names
+   cn_sicfbfiles = 'sic_01.nc'         ! SIC feedback input observation file names
+   cn_velfbfiles = 'vel_01.nc'         ! Velocity feedback input observation file names
+   cn_altbiasfile = 'altbias.nc'       ! Altimeter bias input file name
+   cn_gridsearchfile = 'gridsearch.nc' ! Grid search file name
+   rn_gridsearchres = 0.5              ! Grid search resolution
+   rn_dobsini = 00010101.000000        ! Initial date in window YYYYMMDD.HHMMSS
+   rn_dobsend = 00010102.000000        ! Final date in window YYYYMMDD.HHMMSS
+   nn_1dint = 0                        ! Type of vertical interpolation method
+   nn_2dint = 0                        ! Type of horizontal interpolation method
+   nn_msshc = 0                        ! MSSH correction scheme
+   rn_mdtcorr = 1.61                   ! MDT  correction
+   rn_mdtcutoff = 65.0                 ! MDT cutoff for computed correction
+   nn_profdavtypes = -1                ! Profile daily average types - array
+   ln_sstbias = .false. 
+   cn_sstbias_files = 'sstbias.nc'
 /
 !-----------------------------------------------------------------------
@@ -1267,28 +1240,26 @@
 /
 !-----------------------------------------------------------------------
-&namsbc_wave   ! External fields from wave model
-!-----------------------------------------------------------------------
-!              !  file name  ! frequency (hours) ! variable     ! time interp. !  clim   ! 'yearly'/ ! weights  ! rotation ! land/sea mask !
-!              !             !  (if <0  months)  !   name       !   (logical)  !  (T/F)  ! 'monthly' ! filename ! pairing  ! filename      !
-   sn_cdg      =  'cdg_wave' ,        1          , 'drag_coeff' ,     .true.   , .false. , 'daily'   ,  ''      , ''       , ''
-   sn_usd      =  'sdw_wave' ,        1          , 'u_sd2d'     ,     .true.   , .false. , 'daily'   ,  ''      , ''       , ''
-   sn_vsd      =  'sdw_wave' ,        1          , 'v_sd2d'     ,     .true.   , .false. , 'daily'   ,  ''      , ''       , ''
-   sn_wn       =  'sdw_wave' ,        1          , 'wave_num'   ,     .true.   , .false. , 'daily'   ,  ''      , ''       , ''
-!
-   cn_dir_cdg  = './'  !  root directory for the location of drag coefficient files
-/
-!-----------------------------------------------------------------------
-&namdyn_nept  !   Neptune effect (simplified: lateral and vertical diffusions removed)
-!-----------------------------------------------------------------------
-   ! Suggested lengthscale values are those of Eby & Holloway (1994) for a coarse model
-   ln_neptsimp       = .false.  ! yes/no use simplified neptune
-
-   ln_smooth_neptvel = .false.  ! yes/no smooth zunep, zvnep
-   rn_tslse          =  1.2e4   ! value of lengthscale L at the equator
-   rn_tslsp          =  3.0e3   ! value of lengthscale L at the pole
-   ! Specify whether to ramp down the Neptune velocity in shallow
-   ! water, and if so the depth range controlling such ramping down
-   ln_neptramp       = .true.   ! ramp down Neptune velocity in shallow water
-   rn_htrmin         =  100.0   ! min. depth of transition range
-   rn_htrmax         =  200.0   ! max. depth of transition range
-/
+&namdiu !   Cool skin and warm layer models
+!-----------------------------------------------------------------------
+   ln_diurnal      = .false.   ! 
+   ln_diurnal_only = .false.   !
+/
+!-----------------------------------------------------------------------
+&nam_diatmb  !  Top Middle Bottom Output
+!-----------------------------------------------------------------------
+   ln_diatmb  = .false.    !  Choose Top Middle and Bottom output or not
+/
+!-----------------------------------------------------------------------
+&namwad  !   Wetting and drying
+!-----------------------------------------------------------------------
+   ln_wd             = .false.  ! T/F activation of wetting and drying
+   rn_wdmin1         =  0.1     ! Minimum wet depth on dried cells
+   rn_wdmin2         =  0.01    ! Tolerance of min wet depth on dried cells
+   rn_wdld           =  20.0    ! Land elevation below which wetting/drying is allowed
+   nn_wdit           =  10      ! Max iterations for W/D limiter
+/
+!-----------------------------------------------------------------------
+&nam_dia25h  !  25h Mean Output
+!-----------------------------------------------------------------------
+   ln_dia25h  = .false.    ! Choose 25h mean output or not
+/
Index: branches/2015/dev_r5803_UKMO_AGRIF_Vert_interp/NEMOGCM/CONFIG/SHARED/namelist_top_ref
===================================================================
--- branches/2015/dev_r5803_UKMO_AGRIF_Vert_interp/NEMOGCM/CONFIG/SHARED/namelist_top_ref	(revision 6401)
+++ branches/2015/dev_r5803_UKMO_AGRIF_Vert_interp/NEMOGCM/CONFIG/SHARED/namelist_top_ref	(revision 6404)
@@ -11,13 +11,13 @@
 !>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
 !-----------------------------------------------------------------------
-&namtrc_run     !   run information
+&namtrc_run      !   run information
 !-----------------------------------------------------------------------
    nn_dttrc      =  1        !  time step frequency for passive sn_tracers
    nn_writetrc   =  5475     !  time step frequency for sn_tracer outputs
-   ln_top_euler  = .false.    !  use Euler time-stepping for TOP
+   ln_top_euler  = .false.   !  use Euler time-stepping for TOP
    ln_rsttr      = .false.   !  start from a restart file (T) or not (F)
    nn_rsttr      =   0       !  restart control = 0 initial time step is not compared to the restart file value
-                           !                  = 1 do not use the value in the restart file
-                           !                  = 2 calendar parameters read in the restart file
+                             !                  = 1 do not use the value in the restart file
+                             !                  = 2 calendar parameters read in the restart file
    cn_trcrst_in  = "restart_trc"   !  suffix of pass. sn_tracer restart name (input)
    cn_trcrst_indir = "."           !  directory from which to read input passive tracer restarts
@@ -26,5 +26,5 @@
 /
 !-----------------------------------------------------------------------
-&namtrc     !   tracers definition
+&namtrc          !   tracers definition
 !-----------------------------------------------------------------------
    ln_trcdta     =   .true.  !  Initialisation from data input file (T) or not (F)
@@ -35,85 +35,102 @@
 &namtrc_dta      !    Initialisation from data input file
 !-----------------------------------------------------------------------
-!
-   cn_dir        =  './'      !  root directory for the location of the data files
+   cn_dir        =  './'     !  root directory for the location of the data files
 /
 !-----------------------------------------------------------------------
-&namtrc_adv    !   advection scheme for passive tracer 
+&namtrc_adv      !   advection scheme for passive tracer 
 !-----------------------------------------------------------------------
-   ln_trcadv_cen2    =  .false.  !  2nd order centered scheme   
-   ln_trcadv_tvd     =  .true.  !  TVD scheme
-   ln_trcadv_muscl   =  .false.   !  MUSCL scheme
-   ln_trcadv_muscl2  =  .false.  !  MUSCL2 scheme + cen2 at boundaries
-   ln_trcadv_ubs     =  .false.  !  UBS scheme
-   ln_trcadv_qck     =  .false.  !  QUICKEST scheme
-   ln_trcadv_msc_ups =  .false.  !  use upstream scheme within muscl
+   ln_trcadv_cen =  .false.  !  2nd order centered scheme
+      nn_cen_h   =  4               !  =2/4, horizontal 2nd order CEN / 4th order CEN
+      nn_cen_v   =  4               !  =2/4, vertical   2nd order CEN / 4th order COMPACT
+   ln_trcadv_fct =  .false.  !  FCT scheme
+      nn_fct_h   =  2               !  =2/4, horizontal 2nd / 4th order 
+      nn_fct_v   =  2               !  =2/4, vertical   2nd / COMPACT 4th order 
+      nn_fct_zts =  0               !  >=1,  2nd order FCT scheme with vertical sub-timestepping
+      !                             !        (number of sub-timestep = nn_fct_zts)
+   ln_trcadv_mus =  .false.  !  MUSCL scheme
+      ln_mus_ups =  .false.         !  use upstream scheme near river mouths
+   ln_trcadv_ubs =  .false.  !  UBS scheme
+      nn_ubs_v   =  2               !  =2  , vertical 2nd order FCT
+   ln_trcadv_qck =  .false.  !  QUICKEST scheme
 /
 !-----------------------------------------------------------------------
-&namtrc_ldf    !   lateral diffusion scheme for passive tracer 
+&namtrc_ldf      !   lateral diffusion scheme for passive tracer 
 !-----------------------------------------------------------------------
-!                               !  Type of the operator : 
-   ln_trcldf_lap    =  .true.   !     laplacian operator       
-   ln_trcldf_bilap  =  .false.  !     bilaplacian operator     
-                                !  Direction of action  :
-   ln_trcldf_level  =  .false.  !     iso-level                
-   ln_trcldf_hor    =  .false.  !     horizontal (geopotential)         (require "key_ldfslp" when ln_sco=T)
-   ln_trcldf_iso    =  .true.   !     iso-neutral                       (require "key_ldfslp")
-!                               !  Coefficient
-   rn_ahtrc_0       =  2000.    !  horizontal eddy diffusivity for tracers [m2/s]
-   rn_ahtrb_0       =     0.    !     background eddy diffusivity for ldf_iso [m2/s]
+!                            !  Type of the operator:  
+   ln_trcldf_lap   =  .true.     !    laplacian operator
+   ln_trcldf_blp   =  .false.    !  bilaplacian operator
+   !                         !  Direction of action:
+   ln_trcldf_lev   =  .false.    !  iso-level
+   ln_trcldf_hor   =  .false.    !  horizontal (geopotential)
+   ln_trcldf_iso   =  .true.     !  iso-neutral (standard operator)
+   ln_trcldf_triad =  .false.    !  iso-neutral (triad    operator)
+   !                         !  Coefficient 
+   rn_ahtrc_0      = 2000.       !  lateral eddy diffusivity   (lap. operator) [m2/s]
+   rn_bhtrc_0      = 1.e+12      !  lateral eddy diffusivity (bilap. operator) [m4/s]
 /
 !-----------------------------------------------------------------------
-&namtrc_zdf        !   vertical physics
+&namtrc_zdf      !   vertical physics
 !-----------------------------------------------------------------------
-   ln_trczdf_exp   =  .false.  !  split explicit (T) or implicit (F) time stepping
-   nn_trczdf_exp   =   3       !  number of sub-timestep for ln_trczdfexp=T
+   ln_trczdf_exp =  .false.  !  split explicit (T) or implicit (F) time stepping
+   nn_trczdf_exp =   3       !  number of sub-timestep for ln_trczdfexp=T
 /
 !-----------------------------------------------------------------------
-&namtrc_rad        !  treatment of negative concentrations 
+&namtrc_rad      !  treatment of negative concentrations 
 !-----------------------------------------------------------------------
-   ln_trcrad   =  .true.  !  artificially correct negative concentrations (T) or not (F)
+   ln_trcrad     =  .true.   !  artificially correct negative concentrations (T) or not (F)
 /
 !-----------------------------------------------------------------------
-&namtrc_dmp    !   passive tracer newtonian damping   
+&namtrc_dmp      !   passive tracer newtonian damping   
 !-----------------------------------------------------------------------
-   nn_zdmp_tr  =    1      !  vertical   shape =0    damping throughout the water column
-                           !                   =1 no damping in the mixing layer (kz  criteria)
-                           !                   =2 no damping in the mixed  layer (rho crieria)
-   cn_resto_tr  = 'resto_tr.nc'    !  create a damping.coeff NetCDF file (=1) or not (=0)
+   nn_zdmp_tr    =    1      !  vertical   shape =0    damping throughout the water column
+                             !                   =1 no damping in the mixing layer (kz  criteria)
+                             !                   =2 no damping in the mixed  layer (rho crieria)
+   cn_resto_tr   = 'resto_tr.nc'    !  create a damping.coeff NetCDF file (=1) or not (=0)
 /
 !-----------------------------------------------------------------------
-&namtrc_ice       !    Representation of sea ice growth & melt effects
+&namtrc_ice      !    Representation of sea ice growth & melt effects
 !-----------------------------------------------------------------------
-   nn_ice_tr   =  -1        !  tracer concentration in sea ice 
-                           !    =-1 (no vvl: identical cc in ice and ocean / vvl: cc_ice = 0)
-                           !    = 0 (no vvl: cc_ice = zero / vvl: cc_ice = )
-                           !    = 1 prescribed to a namelist value (implemented in pisces only)
+   nn_ice_tr     =  -1       !  tracer concentration in sea ice 
+                             !    =-1 (no vvl: identical cc in ice and ocean / vvl: cc_ice = 0)
+                             !    = 0 (no vvl: cc_ice = zero / vvl: cc_ice = )
+                             !    = 1 prescribed to a namelist value (implemented in pisces only)
 /
 !-----------------------------------------------------------------------
-&namtrc_trd       !   diagnostics on tracer trends        ('key_trdtrc')
-!                          or mixed-layer trends          ('key_trdmld_trc')
+&namtrc_trd      !   diagnostics on tracer trends                       ('key_trdtrc')
+!                          or mixed-layer trends                        ('key_trdmld_trc')
 !----------------------------------------------------------------------
-   nn_trd_trc  =  5475      !  time step frequency and tracers trends
-   nn_ctls_trc =   0        !  control surface type in mixed-layer trends (0,1 or n<jpk)
-   rn_ucf_trc  =   1        !  unit conversion factor (=1 -> /seconds ; =86400. -> /day)
-   ln_trdmld_trc_restart = .false.  !  restart for ML diagnostics
+   nn_trd_trc    =  5475     !  time step frequency and tracers trends
+   nn_ctls_trc   =   0       !  control surface type in mixed-layer trends (0,1 or n<jpk)
+   rn_ucf_trc    =   1       !  unit conversion factor (=1 -> /seconds ; =86400. -> /day)
+   ln_trdmld_trc_restart = .false. !  restart for ML diagnostics
    ln_trdmld_trc_instant = .true.  !  flag to diagnose trends of instantantaneous or mean ML T/S
-   ln_trdtrc(1)  =   .true.
-   ln_trdtrc(2)  =   .true.
-   ln_trdtrc(23) =   .true.
+   ln_trdtrc( 1) = .true.
+   ln_trdtrc( 2) = .true.
+   ln_trdtrc(23) = .true.
 /
 !-----------------------------------------------------------------------
-&namtrc_dia       !   parameters for passive tracer additional diagnostics
+&namtrc_dia      !   parameters for passive tracer additional diagnostics
 !----------------------------------------------------------------------
    ln_diatrc     =  .true.   !  save additional diag. (T) or not (F)
    ln_diabio     =  .true.   !  output biological trends
    nn_writedia   =  5475     !  time step frequency for diagnostics
-   nn_writebio   =    10     !: frequency of biological outputs
+   nn_writebio   =    10     !  frequency of biological outputs
 /
 !----------------------------------------------------------------------
-! namtrc_bc       !   data for boundary conditions
+&namtrc_bc       !   data for boundary conditions
 !-----------------------------------------------------------------------
-&namtrc_bc
-!
-   cn_dir        =  './'      !  root directory for the location of the data files
+   cn_dir_sbc    =  './'     !  root directory for the location of SURFACE data files
+   cn_dir_cbc    =  './'     !  root directory for the location of COASTAL data files
+   cn_dir_obc    =  './'     !  root directory for the location of OPEN data files
 /
+!----------------------------------------------------------------------
+&namtrc_bdy      !   Setup of tracer boundary conditions
+!-----------------------------------------------------------------------
+   cn_trc_dflt   = 'neumann' !  OBC applied by default to all tracers
+   cn_trc        = 'none'    !  Boundary conditions used for tracers with data files (selected in namtrc)
+
+   nn_trcdmp_bdy = 0         !  Use damping timescales defined in nambdy of namelist
+                             !  = 0 NO damping of tracers at open boudaries
+                             !  = 1 Only for tracers forced with external data
+                             !  = 2 Damping applied to all tracers
+/
